/*
 *     Copyright 2015-2017 Austin Keener & Michael Ritter & Florian Spieß
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * Entities representing Discord API objects like Users and Channels
 *
 * <p>This package contains all Discord Entities
 * as java classes. They contain information about the specific entity and
 * have operations to interact with them.
 *
 * <p>The {@link net.dv8tion.jda.core.entities.EntityBuilder EntityBuilder} can be used
 * to create entities from this package by creating {@link net.dv8tion.jda.core.entities.impl entities.impl} instances
 * for the specific entity.
 */
package net.dv8tion.jda.core.entities;
